@echo off
REM This file will copy from source disks to target directory
if "%1" == "0" goto :disk0
if "%1" == "1" goto :disk1
if "%1" == "2" goto :disk2
if "%1" == "3" goto :disk3
if "%1" == "4" goto :disk4
if "%1" == "5" goto :disk5
goto :end
:disk0
        copy %2:\readme.txt %3 >nul
        copy %2:\setup.exe %3 >nul
        copy %2:\rar.exe %3 >nul

        copy %2:\defshape.uzi %3 >nul
        rar x -y defshape.uzi >nul
        del defshape.uzi

        copy %2:\data3.uzi %3 >nul
        rar x -y data3.uzi >nul
        del data3.uzi

	goto :end
:disk1
        copy %2:\data1.uzi %3 >nul
        rar x -y data1.uzi >nul
        del data1.uzi
	goto :end
:disk2
        copy %2:\shapes1.uzi %3 >nul
        rar x -y shapes1.uzi >nul
        del shapes1.uzi
	goto :end
:disk3
        copy %2:\data4.uzi %3 >nul
        rar x -y data4.uzi >nul
        del data4.uzi

        copy %2:\corefile.uzi %3 >nul
        rar x -y corefile.uzi >nul
        del corefile.uzi
	goto :end
:disk4
        copy %2:\data2.uzi %3 >nul
        rar x -y data2.uzi >nul
        del data2.uzi

        copy %2:\shapes2.uzi %3 >nul
        rar x -y shapes2.uzi >nul
        del shapes2.uzi

        copy %2:\mapshape.uzi %3 >nul
        rar x -y mapshape.uzi >nul
        del mapshape.uzi
	goto :end

:disk5
        if "%4" == "0" copy %2:\game386.uzi %3\game.uzi >nul
        if "%4" == "1" copy %2:\game486.uzi %3\game.uzi >nul
        if "%4" == "2" copy %2:\game586.uzi %3\game.uzi >nul
        rar x -y game.uzi >nul
        del game.uzi
        
        del %3\rar.exe
	goto :end
:end
